Package org.spongepowered.asm.mixin.injection.code

## Class Injector.TargetNode

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.code.Injector.TargetNode

Enclosing class:
  Injector

    public static final class Injector.TargetNode
    extends java.lang.Object

A nominated target node

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`org.objectweb.asm.tree.AbstractInsnNode` `getNode()`
`java.util.Set<InjectionPoint>` `getNominators()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNode

    public org.objectweb.asm.tree.AbstractInsnNode getNode()

#### getNominators

    public java.util.Set<InjectionPoint> getNominators()

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`